| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions
blf.h File Reference
`#include "wtap.h"`

Go to the source code of this file.

## Classes
struct | blf_date
struct | blf_fileheader
struct | blf_blockheader
struct | blf_logcontainerheader
struct | blf_logobjectheader
struct | blf_logobjectheader2
struct | blf_logobjectheader3
struct | blf_ethernetframeheader
struct | blf_ethernetframeheader_ex
struct | blf_ethernet_rxerror
struct | blf_wlanframeheader
struct | blf_canmessage
struct | blf_canmessage2_trailer
struct | blf_canfdmessage
struct | blf_canfdmessage64
struct | blf_canerror
struct | blf_canerrorext
struct | blf_canfderror64
struct | blf_canxlchannelframe
struct | blf_flexraydata
struct | blf_flexraymessage
struct | blf_flexrayrcvmessage
struct | blf_flexrayrcvmessageex
struct | blf_linmessage
struct | blf_linrcverror
struct | blf_linsenderror
struct | blf_linwakeupevent
struct | blf_linbusevent
struct | blf_linsynchfieldevent
struct | blf_linmessagedescriptor
struct | blf_lindatabytetimestampevent
struct | blf_linmessage2
struct | blf_lincrcerror2
struct | blf_linrcverror2
struct | blf_linsenderror2
struct | blf_linwakeupevent2
struct | blf_linsleepmodeevent
struct | blf_apptext
struct | blf_ethernet_status
struct | blf_ethernet_phystate

## Macros
#define | BLF_HEADER_TYPE_DEFAULT 1
#define | BLF_HEADER_TYPE_2 2
#define | BLF_HEADER_TYPE_3 3
#define | BLF_COMPRESSION_NONE 0
#define | BLF_COMPRESSION_ZLIB 2
#define | BLF_TIMESTAMP_RESOLUTION_10US 1
#define | BLF_TIMESTAMP_RESOLUTION_1NS 2
#define | BLF_TS_STATUS_ORIG_TS_VALID 0x01
#define | BLF_TS_STATUS_SW_TS 0x02
#define | BLF_TS_STATUS_PROTO_SPECIFIC 0x10
#define | BLF_DIR_RX 0
#define | BLF_DIR_TX 1
#define | BLF_DIR_TX_RQ 2
#define | BLF_ETHERNET_EX_RES 0x0001
#define | BLF_ETHERNET_EX_HARDWARECHANNEL 0x0002
#define | BLF_ETHERNET_EX_FRAMEDURATION 0x0004
#define | BLF_ETHERNET_EX_FRAMEHANDLE 0x0008
#define | BLF_CANMESSAGE_FLAG_TX 0x01
#define | BLF_CANMESSAGE_FLAG_NERR 0x20
#define | BLF_CANMESSAGE_FLAG_WU 0x40
#define | BLF_CANMESSAGE_FLAG_RTR 0x80
#define | BLF_CANFDMESSAGE_CANFDFLAG_EDL 0x01
#define | BLF_CANFDMESSAGE_CANFDFLAG_BRS 0x02
#define | BLF_CANFDMESSAGE_CANFDFLAG_ESI 0x04
#define | BLF_CANFDMESSAGE64_FLAG_NERR 0x000004
#define | BLF_CANFDMESSAGE64_FLAG_HIGH_VOLT_WAKE_UP 0x000008
#define | BLF_CANFDMESSAGE64_FLAG_REMOTE_FRAME 0x000010
#define | BLF_CANFDMESSAGE64_FLAG_TX_ACK 0x000040
#define | BLF_CANFDMESSAGE64_FLAG_TX_REQ 0x000080
#define | BLF_CANFDMESSAGE64_FLAG_SRR 0x000200
#define | BLF_CANFDMESSAGE64_FLAG_R0 0x000400
#define | BLF_CANFDMESSAGE64_FLAG_R1 0x000800
#define | BLF_CANFDMESSAGE64_FLAG_EDL 0x001000
#define | BLF_CANFDMESSAGE64_FLAG_BRS 0x002000
#define | BLF_CANFDMESSAGE64_FLAG_ESI 0x004000
#define | BLF_CANFDMESSAGE64_FLAG_BURST 0x020000
#define | BLF_CANERROREXT_FLAG_SJA 0x01
#define | BLF_CANERROREXT_FLAG_CANCORE 0x02
#define | BLF_CANERROREXT_EXTECC_TX 0x1000
#define | BLF_CANERROREXT_EXTECC_NOT_ACK 0x2000
#define | BLF_CANERROREXT_ECC_MEANING_BIT_ERROR 0x0
#define | BLF_CANERROREXT_ECC_MEANING_FORM_ERROR 0x1
#define | BLF_CANERROREXT_ECC_MEANING_STUFF_ERROR 0x2
#define | BLF_CANERROREXT_ECC_MEANING_OTHER_ERROR 0x3
#define | BLF_CANERROREXT_ECC_MEANING_CRC_ERROR 0x4
#define | BLF_CANERROREXT_ECC_MEANING_ACKDEL_ERROR 0x5
#define | BLF_CANERROREXT_ECC_MEANING_OTHER_ERROR2 0x6
#define | BLF_CANERROREXT_ECC_MEANING_NACK_ERROR 0x7
#define | BLF_CANERROREXT_ECC_MEANING_OVERLOAD 0x8
#define | BLF_CANERROREXT_ECC_FDF_BIT_ERROR 0x9
#define | BLF_CANERROR64_FLAG_FDF 0x01
#define | BLF_CANERROR65_FLAG_BRS 0x02
#define | BLF_CANERROR65_FLAG_ESI 0x04
#define | BLF_CANXLCHANNELFRAME_FLAG_REMOTE_FRAME 0x10
#define | BLF_CANXLCHANNELFRAME_FLAG_SRR 0x200
#define | BLF_CANXLCHANNELFRAME_FLAG_FDF 0x1000
#define | BLF_CANXLCHANNELFRAME_FLAG_BRS 0x2000
#define | BLF_CANXLCHANNELFRAME_FLAG_ESI 0x4000
#define | BLF_CANXLCHANNELFRAME_FLAG_XLF 0x400000
#define | BLF_CANXLCHANNELFRAME_FLAG_RRS 0x800000
#define | BLF_CANXLCHANNELFRAME_FLAG_SEC 0x1000000
#define | BLF_FLEXRAYDATA_FRAME 0x01
#define | BLF_FLEXRAYDATA_CHANNEL_B 0x80
#define | BLF_FLEXRAYMESSAGE_DIR_RX 0x01
#define | BLF_FLEXRAYMESSAGE_DIR_TX 0x02
#define | BLF_FLEXRAYMESSAGE_DIR_TX_REQ 0x04
#define | BLF_FLEXRAYMESSAGE_STATE_PPI 0x01
#define | BLF_FLEXRAYMESSAGE_STATE_SFI 0x02
#define | BLF_FLEXRAYMESSAGE_STATE_RES_BIT2 0x04
#define | BLF_FLEXRAYMESSAGE_STATE_NFI 0x08
#define | BLF_FLEXRAYMESSAGE_STATE_STFI 0x10
#define | BLF_FLEXRAYMESSAGE_STATE_FORMAT 0xe0
#define | BLF_FLEXRAYMESSAGE_HEADER_BIT_NM 0x01
#define | BLF_FLEXRAYMESSAGE_HEADER_BIT_SYNC 0x02
#define | BLF_FLEXRAYMESSAGE_HEADER_BIT_RES 0x04
#define | BLF_DLT_FLEXRAY_STFI 0x08
#define | BLF_DLT_FLEXRAY_SFI 0x10
#define | BLF_DLT_FLEXRAY_NFI 0x20
#define | BLF_DLT_FLEXRAY_PPI 0x40
#define | BLF_FLEXRAYRCVMSG_DIR_RX 0x01
#define | BLF_FLEXRAYRCVMSG_DIR_TX 0x02
#define | BLF_FLEXRAYRCVMSG_DIR_TX_REQ 0x04
#define | BLF_FLEXRAYRCVMSG_CHANNELMASK_RES 0x00
#define | BLF_FLEXRAYRCVMSG_CHANNELMASK_A 0x01
#define | BLF_FLEXRAYRCVMSG_CHANNELMASK_B 0x02
#define | BLF_FLEXRAYRCVMSG_CHANNELMASK_AB 0x03
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_NULL_FRAME 0x00000001
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_VALID_DATA 0x00000002
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_SYNC 0x00000004
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_STARTUP 0x00000008
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_PAYLOAD_PREAM 0x00000010
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_RES_20 0x00000020
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_ERROR 0x00000040
#define | BLF_FLEXRAYRCVMSG_FRAME_FLAG_RES_80 0x00000080
#define | BLF_LIN_WU_SLEEP_REASON_START_STATE 0 /* Initial state of the interface */
#define | BLF_LIN_SLEEP_REASON_GO_TO_SLEEP_FRAME 1
#define | BLF_LIN_SLEEP_REASON_BUS_IDLE_TIMEOUT 2
#define | BLF_LIN_SLEEP_REASON_SILENT_SLEEPMODE_CMD 3 /* Command to shorten bus idle timeout */
#define | BLF_LIN_WU_REASON_EXTERNAL_WAKEUP_SIG 9
#define | BLF_LIN_WU_REASON_INTERNAL_WAKEUP_SIG 10
#define | BLF_LIN_WU_REASON_BUS_TRAFFIC 11
#define | BLF_LIN_NO_SLEEP_REASON_BUS_TRAFFIC 18 /* LIN hardware does not go into Sleep mode in spite of request to do so */
#define | BLF_APPTEXT_COMMENT 0x00000000
#define | BLF_APPTEXT_CHANNEL 0x00000001
#define | BLF_APPTEXT_METADATA 0x00000002
#define | BLF_APPTEXT_ATTACHMENT 0x00000003
#define | BLF_APPTEXT_TRACELINE 0x00000004
#define | BLF_APPTEXT_CONT 0x000000FE
#define | BLF_APPTEXT_FAILED 0x000000FF
#define | BLF_APPTEXT_XML_GENERAL 0x01
#define | BLF_APPTEXT_XML_CHANNELS 0x02
#define | BLF_APPTEXT_XML_IDENTITY 0x03
#define | BLF_APPTEXT_TAG_DISS_ETHSTATUS "blf-ethernetstatus-obj"
#define | BLF_APPTEXT_TAG_DISS_ETHPHYSTATUS "blf-ethernetphystate-obj"
#define | BLF_APPTEXT_TAG_DISS_DEFAULT "data-text-lines"
#define | BLF_APPTEXT_COL_PROT_TEXT "BLF App text"
#define | BLF_APPTEXT_COL_INFO_TEXT "Metadata"
#define | BLF_APPTEXT_COL_INFO_TEXT_GENERAL "Metadata: General"
#define | BLF_APPTEXT_COL_INFO_TEXT_CHANNELS "Metadata: Channels"
#define | BLF_APPTEXT_COL_INFO_TEXT_IDENTITY "Metadata: Identity"
#define | BLF_BUSTYPE_CAN 1
#define | BLF_BUSTYPE_LIN 5
#define | BLF_BUSTYPE_MOST 6
#define | BLF_BUSTYPE_FLEXRAY 7
#define | BLF_BUSTYPE_J1708 9
#define | BLF_BUSTYPE_ETHERNET 11
#define | BLF_BUSTYPE_WLAN 13
#define | BLF_BUSTYPE_AFDX 14
#define | BLF_ETH_STATUS_LINKSTATUS 0x0001
#define | BLF_ETH_STATUS_BITRATE 0x0002
#define | BLF_ETH_STATUS_ETHERNETPHY 0x0004
#define | BLF_ETH_STATUS_DUPLEX 0x0008
#define | BLF_ETH_STATUS_MDITYPE 0x0010
#define | BLF_ETH_STATUS_CONNECTOR 0x0020
#define | BLF_ETH_STATUS_CLOCKMODE 0x0040
#define | BLF_ETH_STATUS_BRPAIR 0x0080
#define | BLF_ETH_STATUS_HARDWARECHANNEL 0x0100
#define | BLF_ETH_STATUS_LINKUPDURATION 0x0200
#define | BLF_PHY_STATE_PHYSTATE 0x0001
#define | BLF_PHY_STATE_PHYEVENT 0x0002
#define | BLF_PHY_STATE_HARDWARECHANNEL 0x0004
#define | BLF_OBJTYPE_UNKNOWN 0
#define | BLF_OBJTYPE_CAN_MESSAGE 1
#define | BLF_OBJTYPE_CAN_ERROR 2
#define | BLF_OBJTYPE_CAN_OVERLOAD 3
#define | BLF_OBJTYPE_CAN_STATISTIC 4
#define | BLF_OBJTYPE_APP_TRIGGER 5
#define | BLF_OBJTYPE_ENV_INTEGER 6
#define | BLF_OBJTYPE_ENV_DOUBLE 7
#define | BLF_OBJTYPE_ENV_STRING 8
#define | BLF_OBJTYPE_ENV_DATA 9
#define | BLF_OBJTYPE_LOG_CONTAINER 10
#define | BLF_OBJTYPE_LIN_MESSAGE 11
#define | BLF_OBJTYPE_LIN_CRC_ERROR 12
#define | BLF_OBJTYPE_LIN_DLC_INFO 13
#define | BLF_OBJTYPE_LIN_RCV_ERROR 14
#define | BLF_OBJTYPE_LIN_SND_ERROR 15
#define | BLF_OBJTYPE_LIN_SLV_TIMEOUT 16
#define | BLF_OBJTYPE_LIN_SCHED_MODCH 17
#define | BLF_OBJTYPE_LIN_SYN_ERROR 18
#define | BLF_OBJTYPE_LIN_BAUDRATE 19
#define | BLF_OBJTYPE_LIN_SLEEP 20
#define | BLF_OBJTYPE_LIN_WAKEUP 21
#define | BLF_OBJTYPE_MOST_SPY 22
#define | BLF_OBJTYPE_MOST_CTRL 23
#define | BLF_OBJTYPE_MOST_LIGHTLOCK 24
#define | BLF_OBJTYPE_MOST_STATISTIC 25
#define | BLF_OBJTYPE_FLEXRAY_DATA 29
#define | BLF_OBJTYPE_FLEXRAY_SYNC 30
#define | BLF_OBJTYPE_CAN_DRIVER_ERROR 31
#define | BLF_OBJTYPE_MOST_PKT 32
#define | BLF_OBJTYPE_MOST_PKT2 33
#define | BLF_OBJTYPE_MOST_HWMODE 34
#define | BLF_OBJTYPE_MOST_REG 35
#define | BLF_OBJTYPE_MOST_GENREG 36
#define | BLF_OBJTYPE_MOST_NETSTATE 37
#define | BLF_OBJTYPE_MOST_DATALOST 38
#define | BLF_OBJTYPE_MOST_TRIGGER 39
#define | BLF_OBJTYPE_FLEXRAY_CYCLE 40
#define | BLF_OBJTYPE_FLEXRAY_MESSAGE 41
#define | BLF_OBJTYPE_LIN_CHECKSUM_INFO 42
#define | BLF_OBJTYPE_LIN_SPIKE_EVENT 43
#define | BLF_OBJTYPE_CAN_DRIVER_SYNC 44
#define | BLF_OBJTYPE_FLEXRAY_STATUS 45
#define | BLF_OBJTYPE_GPS_EVENT 46
#define | BLF_OBJTYPE_FLEXRAY_ERROR 47
#define | BLF_OBJTYPE_FLEXRAY_STATUS2 48
#define | BLF_OBJTYPE_FLEXRAY_STARTCYCLE 49
#define | BLF_OBJTYPE_FLEXRAY_RCVMESSAGE 50
#define | BLF_OBJTYPE_REALTIMECLOCK 51
#define | BLF_OBJTYPE_LIN_STATISTIC 54
#define | BLF_OBJTYPE_J1708_MESSAGE 55
#define | BLF_OBJTYPE_J1708_VIRTUAL_MSG 56
#define | BLF_OBJTYPE_LIN_MESSAGE2 57
#define | BLF_OBJTYPE_LIN_SND_ERROR2 58
#define | BLF_OBJTYPE_LIN_SYN_ERROR2 59
#define | BLF_OBJTYPE_LIN_CRC_ERROR2 60
#define | BLF_OBJTYPE_LIN_RCV_ERROR2 61
#define | BLF_OBJTYPE_LIN_WAKEUP2 62
#define | BLF_OBJTYPE_LIN_SPIKE_EVENT2 63
#define | BLF_OBJTYPE_LIN_LONG_DOM_SIG 64
#define | BLF_OBJTYPE_APP_TEXT 65
#define | BLF_OBJTYPE_FLEXRAY_RCVMESSAGE_EX 66
#define | BLF_OBJTYPE_MOST_STATISTICEX 67
#define | BLF_OBJTYPE_MOST_TXLIGHT 68
#define | BLF_OBJTYPE_MOST_ALLOCTAB 69
#define | BLF_OBJTYPE_MOST_STRESS 70
#define | BLF_OBJTYPE_ETHERNET_FRAME 71
#define | BLF_OBJTYPE_SYS_VARIABLE 72
#define | BLF_OBJTYPE_CAN_ERROR_EXT 73
#define | BLF_OBJTYPE_CAN_DRIVER_ERROR_EXT 74
#define | BLF_OBJTYPE_LIN_LONG_DOM_SIG2 75
#define | BLF_OBJTYPE_MOST_150_MESSAGE 76
#define | BLF_OBJTYPE_MOST_150_PKT 77
#define | BLF_OBJTYPE_MOST_ETHERNET_PKT 78
#define | BLF_OBJTYPE_MOST_150_MESSAGE_FRAGMENT 79
#define | BLF_OBJTYPE_MOST_150_PKT_FRAGMENT 80
#define | BLF_OBJTYPE_MOST_ETHERNET_PKT_FRAGMENT 81
#define | BLF_OBJTYPE_MOST_SYSTEM_EVENT 82
#define | BLF_OBJTYPE_MOST_150_ALLOCTAB 83
#define | BLF_OBJTYPE_MOST_50_MESSAGE 84
#define | BLF_OBJTYPE_MOST_50_PKT 85
#define | BLF_OBJTYPE_CAN_MESSAGE2 86
#define | BLF_OBJTYPE_LIN_UNEXPECTED_WAKEUP 87
#define | BLF_OBJTYPE_LIN_SHORT_OR_SLOW_RESPONSE 88
#define | BLF_OBJTYPE_LIN_DISTURBANCE_EVENT 89
#define | BLF_OBJTYPE_SERIAL_EVENT 90
#define | BLF_OBJTYPE_OVERRUN_ERROR 91
#define | BLF_OBJTYPE_EVENT_COMMENT 92
#define | BLF_OBJTYPE_WLAN_FRAME 93
#define | BLF_OBJTYPE_WLAN_STATISTIC 94
#define | BLF_OBJTYPE_MOST_ECL 95
#define | BLF_OBJTYPE_GLOBAL_MARKER 96
#define | BLF_OBJTYPE_AFDX_FRAME 97
#define | BLF_OBJTYPE_AFDX_STATISTIC 98
#define | BLF_OBJTYPE_KLINE_STATUSEVENT 99
#define | BLF_OBJTYPE_CAN_FD_MESSAGE 100
#define | BLF_OBJTYPE_CAN_FD_MESSAGE_64 101
#define | BLF_OBJTYPE_ETHERNET_RX_ERROR 102
#define | BLF_OBJTYPE_ETHERNET_STATUS 103
#define | BLF_OBJTYPE_CAN_FD_ERROR_64 104
#define | BLF_OBJTYPE_AFDX_STATUS 106
#define | BLF_OBJTYPE_AFDX_BUS_STATISTIC 107
#define | BLF_OBJTYPE_AFDX_ERROR_EVENT 109
#define | BLF_OBJTYPE_A429_ERROR 110
#define | BLF_OBJTYPE_A429_STATUS 111
#define | BLF_OBJTYPE_A429_BUS_STATISTIC 112
#define | BLF_OBJTYPE_A429_MESSAGE 113
#define | BLF_OBJTYPE_ETHERNET_STATISTIC 114
#define | BLF_OBJTYPE_RESERVED5 115
#define | BLF_OBJTYPE_RESERVED6 116
#define | BLF_OBJTYPE_RESERVED7 117
#define | BLF_OBJTYPE_TEST_STRUCTURE 118
#define | BLF_OBJTYPE_DIAG_REQUEST_INTERPRETATION 119
#define | BLF_OBJTYPE_ETHERNET_FRAME_EX 120
#define | BLF_OBJTYPE_ETHERNET_FRAME_FORWARDED 121
#define | BLF_OBJTYPE_ETHERNET_ERROR_EX 122
#define | BLF_OBJTYPE_ETHERNET_ERROR_FORWARDED 123
#define | BLF_OBJTYPE_FUNCTION_BUS 124
#define | BLF_OBJTYPE_DATA_LOST_BEGIN 125
#define | BLF_OBJTYPE_DATA_LOST_END 126
#define | BLF_OBJTYPE_WATER_MARK_EVENT 127
#define | BLF_OBJTYPE_TRIGGER_CONDITION 128
#define | BLF_OBJTYPE_CAN_SETTING_CHANGED 129
#define | BLF_OBJTYPE_DISTRIBUTED_OBJECT_MEMBER 130
#define | BLF_OBJTYPE_ATTRIBUTE_EVENT 131
#define | BLF_OBJTYPE_DISTRIBUTED_OBJECT_CHANGE 132
#define | BLF_OBJTYPE_ETHERNET_PHY_STATE 133
#define | BLF_OBJTYPE_MACSEC_STATUS 134
#define | BLF_OBJTYPE_10BASET1S_STATUS 136
#define | BLF_OBJTYPE_10BASET1S_STATISTIC 137
#define | BLF_OBJTYPE_TUNNEL_PROTO_DECODER_EVENT 138
#define | BLF_OBJTYPE_CAN_XL_CHANNEL_FRAME 139
#define | BLF_OBJTYPE_CAN_XL_CHANNEL_ERRORFRAME 140

## Typedefs
typedef struct blf_date | blf_date_t
typedef struct blf_fileheader | blf_fileheader_t
typedef struct blf_blockheader | blf_blockheader_t
typedef struct blf_logcontainerheader | blf_logcontainerheader_t
typedef struct blf_logobjectheader | blf_logobjectheader_t
typedef struct blf_logobjectheader2 | blf_logobjectheader2_t
typedef struct blf_logobjectheader3 | blf_logobjectheader3_t
typedef struct blf_ethernetframeheader | blf_ethernetframeheader_t
typedef struct blf_ethernetframeheader_ex | blf_ethernetframeheader_ex_t
typedef struct blf_ethernet_rxerror | blf_ethernet_rxerror_t
typedef struct blf_wlanframeheader | blf_wlanframeheader_t
typedef struct blf_canmessage | blf_canmessage_t
typedef struct blf_canmessage2_trailer | blf_canmessage2_trailer_t
typedef struct blf_canfdmessage | blf_canfdmessage_t
typedef struct blf_canfdmessage64 | blf_canfdmessage64_t
typedef struct blf_canerror | blf_canerror_t
typedef struct blf_canerrorext | blf_canerrorext_t
typedef struct blf_canfderror64 | blf_canfderror64_t
typedef struct blf_canxlchannelframe | blf_canxlchannelframe_t
typedef struct blf_flexraydata | blf_flexraydata_t
typedef struct blf_flexraymessage | blf_flexraymessage_t
typedef struct blf_flexrayrcvmessage | blf_flexrayrcvmessage_t
typedef struct blf_flexrayrcvmessageex | blf_flexrayrcvmessageex_t
typedef struct blf_linmessage | blf_linmessage_t
typedef struct blf_linrcverror | blf_linrcverror_t
typedef struct blf_linsenderror | blf_linsenderror_t
typedef struct blf_linwakeupevent | blf_linwakeupevent_t
typedef struct blf_linbusevent | blf_linbusevent_t
typedef struct blf_linsynchfieldevent | blf_linsynchfieldevent_t
typedef struct blf_linmessagedescriptor | blf_linmessagedescriptor_t
typedef struct blf_lindatabytetimestampevent | blf_lindatabytetimestampevent_t
typedef struct blf_linmessage2 | blf_linmessage2_t
typedef struct blf_lincrcerror2 | blf_lincrcerror2_t
typedef struct blf_linrcverror2 | blf_linrcverror2_t
typedef struct blf_linsenderror2 | blf_linsenderror2_t
typedef struct blf_linwakeupevent2 | blf_linwakeupevent2_t
typedef struct blf_linsleepmodeevent | blf_linsleepmodeevent_t
typedef struct blf_apptext | blf_apptext_t
typedef struct blf_ethernet_status | blf_ethernet_status_t
typedef struct blf_ethernet_phystate | blf_ethernet_phystate_t

## Functions
wtap_open_return_val | blf_open (wtap *wth, int *err, char **err_info)

## Detailed Description

Binary Log File (BLF) file format from Vector Informatik decoder for the Wiretap library.

Copyright (c) 2021-2025 by Dr. Lars Völker lars..nosp@m.voel.nosp@m.ker@t.nosp@m.echn.nosp@m.ica-e.nosp@m.ngin.nosp@m.eerin.nosp@m.g.de

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ blf_open()

wtap_open_return_val blf_open | ( | wtap * | wth,
|  | int * | err,
|  | char ** | err_info
| ) |  |

< A UTF-8 string containing the * name of the application used to create this section.